Subject: Re: [ANNOUNCEMENT] Updated: cygrunsrv-0.94-1
From: Corinna Vinschen <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 18 Jul 2001 22:20:11 +0200

On Wed, Jul 18, 2001 at 03:11:42PM -0400, Jason Tishler wrote:
>     Smart Shutdown request at Wed Jul 18 14:00:32 2001 [1]
>     FATAL 1:  This connection has been terminated by the administrator. [2]
>     DEBUG:  shutting down
>     Fast Shutdown request at Wed Jul 18 14:00:33 2001 [3]
>     DEBUG:  database system is shut down
>     DEBUG:  database system was shut down at 2001-07-18 14:00:35 
> 
>     [restart occurs here]
> 
>     DEBUG:  CheckPoint record at (0, 63186000)
>     DEBUG:  Redo record at (0, 63186000); Undo record at (0, 0); Shutdown TRUE
>     DEBUG:  NextTransactionId: 11662; NextOid: 414368
>     DEBUG:  database system is in production state [4]
> 
> Message [1] is due to ctrl_c_handler() sending a SIGTERM instead of
> SIGHUP to the postmaster process.  Message [2] is due to ctrl_c_handler()
> sending a SIGTERM to the backend postgres process that is serving the
> only connection (from psql) which causes it to terminate.  Note that
> normally it is postmaster that sends this signal (not some other process).
> Message [3] is due to cygrunsrv responding to the NT shutdown message
> and in turn sending a SIGINT to postmaster.  Note that this seems to
> indicate that a Fast Shutdown can interrupt and supersede a Smart one.
> Message [4] indicates that PostgreSQL was able to restart without any
> manual intervention.
> 
> Although the above is not quite how PostgreSQL shutdowns on other
> platforms, it is very close and seems to work.
> 
> Should I submit the attached patch (with ChangeLog) to cygwin-patches
> for consideration?

Yep! I would like Chris "Mister Signal" Faylor to review the patch.

Thanks for investigating the situation,
Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Developer                                mailto:[email-masked]
Red Hat, Inc.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/